/*
 * cacao-sysdep.h : System dependent information for Cacao library.
 * Copyright (C) 2004 Steel Wheels Project.
 * All rights reserved.
 */

/*!
 * @header cacao-sysdep.h
 * System dependent information for Cacao library.
 */

#if !defined(CACAO_SYSDEP_H_INCLUDED)
#define	CACAO_SYSDEP_H_INCLUDED

#include <Cacao/cacao-config.h>
#include <glib.h>

#ifdef __APPLE__
#	include <Foundation/Foundation.h>
#	define	OBJECT		NSObject
#else
	/* note: "objc/Object.h" refers "strcmp" function. */
#	include <string.h>
#	include <objc/Protocol.h> 
#	include <objc/objc.h>
#	include <objc/Object.h>
#	define	OBJECT	Object
#endif

#ifndef	CACAO_HAVE_UINT_T
typedef	unsigned int		uint_t ;
#endif

#ifndef	TRUE
#	define	TRUE		((BOOL) 1)
#endif

#ifndef	FALSE
#	define	FALSE		((BOOL) 1)
#endif

typedef gunichar		unichar_t ;

#endif	/* !defined(CACAO_SYSDEP_H_INCLUDED) */

