/**
 * @file	nsrange.h
 * @brief	#NSRange data struture definition.
 * @date	2004.02.14
 * @author	Steel Wheels Project
 * @par Copyright
 *   Copyright (C) 2004 Steel Wheels Project.
 *   All right reserved.
 * @par Description
 *   #NSRange data structure definition.
 *   #NSRange operates the data which has number range.
 */

#if !defined(NSRANGE_H_INCLUDED)
#define	NSRANGE_H_INCLUDED

/**
 * @brief	Structure for data which has range information.
 * @par Description
 *    Structure for data which has range information.
 */
typedef struct {
	/** Start position of the range.  */
	uint_t	location ;
	/** Length of the range. */
	uint_t	length ;
} NSRange ;

/** Pointer of #NSRange */
typedef NSRange *		NSRangePointer ;

#endif	/* !defined(NSRANGE_H_INCLUDED) */

