/**
 * @file	nstypes.h
 * @brief	Common data type definition
 * @date	2004.02.22
 * @author	Steel Wheels Project
 * @par Copyright
 *   Copyright (C) 2004 Steel Wheels Project.
 *   All right reserved.
 * @par Description
 *   Common data type definition
 */

#ifndef NSTYPES_H_INCLUDED
#define NSTYPES_H_INCLUDED

/** Integer which means "It was not found". */
#define	NSNotFound			0x7fffffff

/** Define search methods for string data */
typedef enum {
	/** Case insensitive search */
	NSCaseInsensitiveSearch		= 0x0001,
	/** Literal search */
	NSLiteralSearch			= 0x0002,
	/** Backward search */
	NSBackwardsSearch		= 0x0004,
	/** Anchored search */
	NSAnchoredSearch		= 0x0008,
	/** Numeric search */
	NSNumericSearch			= 0x0010
} NSStringSearchOption ;

/** Type of result of comparison */
typedef enum {
	/** 1st item is smaller than 2nd */
	NSOrderedAscending		= 1,
	/** 1st item equals to 2nd */
	NSOrderedSame,
	/** 1st item is bigger than 2nd */
	NSOrderedDescending
} NSComparisonResult ;

#endif /* NSTYPES_H_INCLUDED */

