dnl AC_PATH_CACAO()
dnl
dnl Test for Cacao, and define CACAO_OBJCFLAGS and CACAO_OBJCLIBS
dnl

AC_DEFUN([AC_PATH_CACAO],[
dnl
dnl  Get the cflags and libraries from the cacao-config script
dnl

cacao_config_args="" ;
no_cacao="" ;
CACAO_OBJCFLAGS="" ;
CACAO_OBJCLIBS="" ;

dnl  (1) define the configure option to get the prefix of Cacao
AC_ARG_WITH(cacao-prefix, [  --with-cacao-prefix=PFX    prefix where Cacao is installed (optional)],
  cacao_config_prefix="$withval", cacao_config_prefix="")

dnl  (2) define the configure option to get the exec prefix of Cacao
AC_ARG_WITH(cacao-exec-prefix, [  --with-cacao-exec-prefix=PFX   exec prefix where Cacao is installed (optional)],
  cacao_config_exec_prefix="$withval", cacao_config_exec_prefix="")

dnl  (3) check the cacao_config_exec_prefix was set or not
if test "X${cacao_config_exec_prefix}" != "X" ; then
	cacao_config_args="--exec-prefix=$cacao_config_exec_prefix" ;
fi

dnl  (4) check the cacao_config_prefix was set or not
if test "X${cacao_config_prefix}" != "X" ; then
	cacao_config_args="$cacao_config_args --prefix=$cacao_config_prefix" ;
fi

dnl  (5) check the existence of cacao-config
AC_PATH_PROG(PKG_CONFIG, pkg-config, no)

dnl  (6) make OBJCFLAGS ans LIBS
AC_MSG_CHECKING(objcflags of Cacao)
if test "$PKG_CONFIG" = "no" ; then
	AC_MSG_RESULT([not found])
else
	CACAO_OBJCFLAGS=`$PKG_CONFIG cacao $cacao_config_args --cflags`
	AC_MSG_RESULT($CACAO_OBJCFLAGS)
fi
AC_MSG_CHECKING(objclibs of Cacao)
if test "$PKG_CONFIG" = "no" ; then
	AC_MSG_RESULT([not found])
else
	CACAO_OBJCLIBS=`$PKG_CONFIG cacao $cacao_config_args --libs`
	AC_MSG_RESULT($CACAO_OBJCLIBS)
fi
AC_SUBST(CACAO_OBJCFLAGS)
AC_SUBST(CACAO_OBJCLIBS)

])

